#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Author : Th.L.
# Content: wato plugin for snmp check 'cisco_asa_connections' 
#          to configure waring/critical/minimum levels
#
#
register_check_parameters(
    subgroup_networking,
    'cisco_asa_connections',
    _('Cisco ASA current connections'),
    Tuple(
        title=_('Cisco ASA current connections'),
        elements=[
            Integer(title=_('warning at'), unit=_('connections'), default_value=3000),
            Integer(title=_('critical at'), unit=_('connections'), default_value=5000),
            Integer(title=_('minimum'), unit=_('connections'), default_value=100),
        ]
    ),
    None, None
)
